#!/bin/bash
cd /data/home || exit
if [ "$DISABLE_STEAMCMD" != "true" ]; then
    echo "Running SteamCMD"
    if [ ! -f "/data/steamcmd/steamcmd.sh" ]; then
        cd /data/steamcmd || exit
        curl -sqL "https://steamcdn-a.akamaihd.net/client/installer/steamcmd_linux.tar.gz" | tar zxvf -
    fi
    # if steam beta is empty, or matchs "beta_access_key" we don't need to dwonload the beta
    if [ -z "$STEAM_BETA" ] || [ "$STEAM_BETA" == "beta_access_key" ]; then
        echo "[ERROR] Unable to Download Headless, No Beta Key"
        exit
    else
        echo "Downloading Resonite Headless"
        /data/steamcmd/steamcmd.sh +force_install_dir /data/resonite +login ${STEAM_USER} ${STEAM_PASS} ${STEAM_AUTH} +app_license_request 2519830 +app_update 2519830 -beta headless -betapassword ${STEAM_BETA} validate +quit
    fi
    ln -s /data/resonite/Headless/Resonite.dll /data/resonite/Headless/dotnet-Resonite.dll
fi
